import { SimpleLocalClient } from '../../core/index.js';
import type { ITplinkOmadaConfig } from './tplink_omada.types.js';
import { tplinkOmadaProfile } from './tplink_omada.types.js';

export class TplinkOmadaClient extends SimpleLocalClient<ITplinkOmadaConfig> {
  constructor(configArg: ITplinkOmadaConfig) {
    super(tplinkOmadaProfile, configArg);
  }
}
